Web API Reference | MapGuide Open Source

- Overview
- Modules
- Classes

# MgCoordinateCollection Class Reference
[MgCoordinateCollection]

MgCoordinateCollection provides support for defining an ordered set of coordinates. More...

Inherits MgGuardDisposable.

List of all members.

## Public Member Functions
virtual void | Add (MgCoordinate *value)
| Adds the specified coordinate to the end of the collection.
virtual void | Clear ()
| Removes all coordinates from the collection.
virtual bool | Contains (const MgCoordinate *value) const
| Returns true if the collection contains the specified coordinate, false otherwise.
virtual INT32 | GetCount () const
| Gets the number of coordinates in the collection.
virtual MgCoordinate * | GetItem (INT32 index) const
| Gets the coordinate in the collection at the specified index. Throws an invalid argument exception if the index is out of range.
virtual INT32 | IndexOf (const MgCoordinate *value) const
| Returns the index of the specified coordinate in the collection or -1 if the coordinate does not exist.
virtual void | Insert (INT32 index, MgCoordinate *value)
| Inserts the specified coordinate at the specified index within the collection. Items following the insertion point are moved down to accommodate the new item. Throws an invalid argument exception if the specified index is out of range.
| MgCoordinateCollection ()
| Construct a MgCoordinateCollection object.
virtual bool | Remove (const MgCoordinate *value)
| Removes the specified coordinate from the collection. Returns false if the coordinate could not be removed.
virtual void | RemoveAt (INT32 index)
| Removes the coordinate at the specified index from the collection. Throws an invalid argument exception if the index does not exist within the collection.
virtual void | SetItem (INT32 index, MgCoordinate *value)
| Sets the coordinate in the collection at the specified index to the specified value. Throws an invalid argument exception if the index is out of range.

## Detailed Description

MgCoordinateCollection provides support for defining an ordered set of coordinates.

Comments or suggestions? Send us feedback.